# nav_game.py
# ------------
# By MWC Contributors
# This class implements a simple game where a spaceship avoids asteroids.

from retro.game import Game
from spaceship import Spaceship
from asteroid import Asteroid

from retro.game import Game
from spaceship import Spaceship
from asteroid_spawner import AsteroidSpawner

board_size = (25, 25)
ship = Spaceship(board_size)
spawner = AsteroidSpawner(board_size)
game = Game([ship, spawner], {"score": 0}, board_size=board_size)
game.play()